Runtime

## org.eclipse.gmf.runtime.diagram.ui.dnd.parts
Class DiagramGraphicalViewerWithDnD

    java.lang.Object
      org.eclipse.gef.ui.parts.AbstractEditPartViewer
          org.eclipse.gef.ui.parts.GraphicalViewerImpl
              org.eclipse.gef.ui.parts.ScrollingGraphicalViewer
                  org.eclipse.gmf.runtime.diagram.ui.parts.DiagramGraphicalViewer
                      org.eclipse.gmf.runtime.diagram.ui.dnd.parts.DiagramGraphicalViewerWithDnD

All Implemented Interfaces:
  EditPartViewer, GraphicalViewer, org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramGraphicalViewer, ISelectionProvider

    public class DiagramGraphicalViewerWithDnD

extends org.eclipse.gmf.runtime.diagram.ui.parts.DiagramGraphicalViewer

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gef.EditPartViewer
`EditPartViewer.Conditional`

Field Summary

Fields inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer
`constantSelection, focusPart, selection, selectionListeners`

Constructor Summary
`DiagramGraphicalViewerWithDnD(DiagramViewerDropAdapter dropAdapter)` Constructor

Method Summary
`protected DelegatingDropAdapter` `getDelegatingDropAdapter()`
`protected void` `refreshDropTargetAdapter()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramGraphicalViewer

`areUpdatesDisabled, createLightweightSystem, enableUpdates, findEditPartsForElement, fireSelectionChanged, flush, flushSelectionEvents, getDiagramEditDomain, getResourceManager, getWorkspaceViewerPreferenceStore, hookControl, hookWorkspacePreferenceStore, isInitializing, registerEditPartForElement, removeDragSourceListener, removeDropTargetListener, setContents, unhookControl, unregisterEditPartForElement`

Methods inherited from class org.eclipse.gef.ui.parts.ScrollingGraphicalViewer
`createControl, getFigureCanvas, reveal, setRootFigure`

Methods inherited from class org.eclipse.gef.ui.parts.GraphicalViewerImpl
`createDefaultRoot, findHandleAt, findObjectAtExcluding, getEventDispatcher, getLayerManager, getLightweightSystem, getRootFigure, handleDispose, handleFocusGained, handleFocusLost, hookDropTarget, registerAccessibleEditPart, setContextMenu, setCursor, setDragSource, setEditDomain, setRootEditPart, setRouteEventsToEditDomain, unregisterAccessibleEditPart`

Methods inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, addSelectionChangedListener, appendSelection, deselect, deselectAll, findObjectAt, findObjectAtExcluding, getContents, getContextMenu, getControl, getDelegatingDragAdapter, getDragSource, getDropTarget, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, hookDragSource, init, primGetSelectedEditParts, refreshDragSourceAdapter, removeDragSourceListener, removeDropTargetListener, removePropertyChangeListener, removeSelectionChangedListener, select, setContents, setControl, setDropTarget, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelection, setSelectionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalViewer
`findHandleAt`

Methods inherited from interface org.eclipse.gef.EditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, appendSelection, createControl, deselect, deselectAll, findObjectAt, findObjectAtExcluding, findObjectAtExcluding, getContents, getContextMenu, getControl, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, registerAccessibleEditPart, removeDragSourceListener, removeDropTargetListener, removePropertyChangeListener, reveal, select, setContents, setContextMenu, setControl, setCursor, setEditDomain, setEditPartFactory, setFocus, setKeyHandler, setProperty, setRootEditPart, setRouteEventsToEditDomain, setSelectionManager, unregisterAccessibleEditPart`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Constructor Detail

### DiagramGraphicalViewerWithDnD

    public DiagramGraphicalViewerWithDnD(DiagramViewerDropAdapter dropAdapter)

  Constructor

  Parameters:
    `dropAdapter` - The dropAdapter to set.

Method Detail

### getDelegatingDropAdapter

    protected DelegatingDropAdapter getDelegatingDropAdapter()

  Overrides:
    `getDelegatingDropAdapter` in class `AbstractEditPartViewer`

### refreshDropTargetAdapter

    protected void refreshDropTargetAdapter()

  Overrides:
    `refreshDropTargetAdapter` in class `AbstractEditPartViewer`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.